/*
 * DetailsWebFragment 
 * A basic list view fragment example
 * Companion code for Chapter 20, 21
 * Android in Action, 3rd Edition
 * C. Enrique Ortiz | http://www.CEnriqueOrtiz
 * May 2011
 */

package com.cenriqueortiz.androidinaction.ch20_21;

import android.os.Bundle;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewFragment;

public class DetailsWebFragment extends WebViewFragment {
	// Web view
    WebView mWebView;

	/** Default constructor */
    public DetailsWebFragment() {}
    
    @Override
	/** Invoked when activity has been created */
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);
        // Get the web view, configure it
        mWebView = getWebView();
        WebSettings webSettings = mWebView.getSettings();
        webSettings.setUseWebViewBackgroundForOverscrollBackground(true);
        webSettings.setJavaScriptEnabled(true);
        webSettings.setSavePassword(false);
        webSettings.setSaveFormData(false);
        webSettings.setSupportZoom(true);                
        webSettings.setLoadWithOverviewMode(true);
        webSettings.setUseWideViewPort(true);        
    }
    
    public void updateDetails(String url) {
        mWebView.loadUrl(url);    	
    }   
}
